import { ChangeEvent } from 'react';
interface Props<DataType> {
    defaultData?: DataType;
    name: string;
}
type useFieldReturnType<DataType> = {
    value: DataType | undefined;
    reset: (value?: DataType) => void;
    clean: () => void;
    register: () => {
        name: string;
        value: DataType | undefined;
        onChange: (event: ChangeEvent<HTMLInputElement>) => void;
    };
};
declare const useField: <DataType>({ defaultData, name, }: Props<DataType>) => useFieldReturnType<DataType>;
export default useField;
