import { FormEvent, FC } from 'react';
import { SchemaValidationType } from '../types/schema';
interface useFormProps<DataType> {
    defaultData: DataType;
    onSubmit: (data: DataType) => void;
    schema: Record<keyof DataType, SchemaValidationType>;
    name?: string;
}
type useFormReturnType<DataType> = {
    reset: (data?: DataType) => void;
    handleSubmit: (event: FormEvent<HTMLFormElement>) => void;
    validate: () => Promise<Record<keyof DataType, string>>;
    errors: Record<keyof DataType, string> | undefined;
    Provider: FC;
};
declare const useForm: <DataType extends object>({ defaultData, onSubmit, schema, name, }: useFormProps<DataType>) => useFormReturnType<DataType>;
export default useForm;
